package math.matrix;

import math.utils.Util;

public class Matrix22 {
    public static void main(String[] args) {
        double[][] array = {{2, 2, 3}, {4, 5, 6}, {7, 8, 9}};
        Matrix matrix = new Matrix(array);
        Matrix matrix1 = MatrixUtil.submatrix(matrix, 2, 2);
        matrix1.printToConsole();
        Util.print("");
        double minor = MatrixUtil.minor(matrix, 2, 2);
        Util.print("minor(2,2): " + minor);
        double algCompl = MatrixUtil.algComplement(matrix, 2, 2);
        Util.print("algCompl(2,2): " + algCompl);
    }
}
